Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455149 - Review Request: latency-policy - Policy for system wide latency
Summary: Review Request: latency-policy - Policy for system wide latency
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2008-07-12 22:16 UTC by Richard Hughes
Modified: 2009-03-13 01:53 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-03-13 01:53:45 UTC


Attachments (Terms of Use)

Description Richard Hughes 2008-07-12 22:16:49 UTC
Spec URL: http://rhughes.fedorapeople.org/latency-policy.spec
SRPM URL: http://rhughes.fedorapeople.org/latency-policy-0.1-1.fc9.hughsie.src.rpm
Description:

Latency is the time delay between the moment something is initiated, and the
moment one of its effects begins or becomes detectable.
Why do you care? Well, some power management modes save a ton of power,
but also increase the time it takes to respond to these interrupts.
Most users don't care as these delays a typically in the microsecond range,
but you might if you're on a server processing financial data.

Comment 1 Richard Hughes 2008-07-14 13:12:35 UTC
Note: I'm the upstream on this trivial project, and I hope to push this into
Fedora 10 as it gives an admin a nice way to configure all the new kernel power
management bits in a central way. I'll do a feature proposal, but need to get
the rpm into rawhide for people to test and give feedback on first.

Comment 2 Bastien Nocera 2008-07-16 15:53:07 UTC
Can't we hide the knobs for default setups?

I doubt that servers processing financial data need:
- ALSA powersave
- WiFi poll powersave

I'd also like to know how this would work with the cpuspeed daemon, which is in
the default installation, and supports more governors/setups.

Comment 3 Richard Hughes 2008-07-16 15:57:00 UTC
Right, the knobs are not meant to be changed, only if an admin knows what they
are doing, or to work round a kernel bug. As for the cpuspeed interaction I'm
not sure. I'll have to do some tests.

Comment 4 Adel Gadllah 2008-07-16 16:45:01 UTC
rpmlint output:
--------------
latency-policy.noarch: E: executable-marked-as-config-file
/etc/rc.d/init.d/latency-policy
latency-policy.noarch: E: executable-marked-as-config-file /etc/sysconfig/latency
latency-policy.noarch: E: executable-marked-as-config-file
/etc/latency-policy/config.d/aspm
latency-policy.noarch: E: executable-marked-as-config-file
/etc/latency-policy/config.d/ondemand
latency-policy.noarch: E: executable-marked-as-config-file
/etc/latency-policy/config.d/alpm
latency-policy.noarch: E: only-non-binary-in-usr-lib
latency-policy.noarch: W: conffile-without-noreplace-flag
/etc/latency-policy/config.d/alpm
latency-policy.noarch: W: conffile-without-noreplace-flag
/etc/latency-policy/config.d/aspm
latency-policy.noarch: W: conffile-without-noreplace-flag
/etc/latency-policy/config.d/ondemand
latency-policy.noarch: W: conffile-without-noreplace-flag
/etc/rc.d/init.d/latency-policy
latency-policy.noarch: W: conffile-without-noreplace-flag /etc/sysconfig/latency
latency-policy.noarch: W: service-default-enabled /etc/rc.d/init.d/latency-policy
latency-policy.noarch: W: no-reload-entry /etc/rc.d/init.d/latency-policy
latency-policy.noarch: E: subsys-not-used /etc/rc.d/init.d/latency-policy
latency-policy.src:53: W: libdir-macro-in-noarch-package %dir
%{_libdir}/latency-policy
latency-policy.src:54: W: libdir-macro-in-noarch-package %{_libdir}/latency-policy/*
2 packages and 0 specfiles checked; 7 errors, 9 warnings.
--------------

Comment 5 John Poelstra 2008-07-16 18:40:09 UTC
Feature page is here: https://fedoraproject.org/wiki/Features/LatencyPolicy

Comment 6 Mark Gross 2008-07-17 14:24:55 UTC
I would rather see add pm_qos knobs and driver changes to use those knobs than
seeing yet another trivial shell script abstraction of sysfs interfaces that
will become difficult to maintain as the number of devices and versions of
devices grows without bound.

I think this design will have problems scaling with numbers of devices as it
stands. 

Comment 7 Jason Tibbitts 2008-12-13 03:06:17 UTC
So what ended up happening with this package?  I don't think the feature was accepted, and the rpmlint output in comment 4 includes several review blockers which haven't been addressed.

Comment 8 Jason Tibbitts 2009-01-14 00:03:45 UTC
So it's been a month without comment; setting needinfo.  I'll close this soon if there's no further movement.


Note You need to log in before you can comment on or make changes to this bug.